//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  ESReferenceCounter.h -- template and derived ESC/I ESC/I-2 protocol commands
#pragma once

       
#include "../Include/es2CommnoType.h"
#include <assert.h>
class CESReferenceCounter
{
public:
 CESReferenceCounter(void){
  m_lRefCounter = 0;
 }
 virtual ~CESReferenceCounter(void){
 }
 LONG IncrementReference(){
#ifdef WIN32
  return InterlockedIncrement(&m_lRefCounter);
#else
  CBlockCriticalSection sec(m_sec);
  m_lRefCounter++;
  return m_lRefCounter;
#endif
 }
 LONG DecrementReference(){
#ifdef WIN32
  return InterlockedDecrement(&m_lRefCounter);
#else
  CBlockCriticalSection sec(m_sec);
  m_lRefCounter--;
  return m_lRefCounter;
#endif
 }
 LONG GetReferenceCounter(){
  return m_lRefCounter;
 }
private:
 LONG m_lRefCounter;
#ifndef WIN32
 CritSec m_sec;
#endif
};
