//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  Filter.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "Filter.hpp"
#include "Utility.hpp"
namespace epsonscan
{
    void Filter::Process(ESImageInfo& imageInfo,
          ES_CMN_FUNCS::BUFFER::CESHeapBuffer& inDataBuf)
    {
                SDI_TRACE_LOG("enter %s for page = %d", Name().c_str(), ES_IMAGE_INFO::GetESImagePageCount(imageInfo));
                DoProcess(imageInfo, inDataBuf);
    DumpImage(imageInfo, inDataBuf, Name().c_str());
                SDI_TRACE_LOG("leave %s for page = %d", Name().c_str(), ES_IMAGE_INFO::GetESImagePageCount(imageInfo));
     }
}
