//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  Gamma.hpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "Key.hpp"
#include "EpsonScan2.h"
namespace epsonscan {
    class Gamma : public Key<SDIInt>
 {
  public:
  explicit Gamma(IKeyDataProvider* dataProvider) : Key<SDIInt>(dataProvider)
  {
  }
  std::string GetName() const override
  {
   return std::string(kSDIGammaKey);
  }
  void SetValue(const SDIInt& intVal) override
        {
         current_ = intVal;
        }
  void GetValue(SDIInt& outIntVal) override
        {
         outIntVal = current_;
        }
  void GetCapability(SDICapability &capability) override
        {
         SetDefaultRangeCapability(capability);
         capability.supportLevel = kSDISupportLevelAvailable;
            if (GetValueInt(kSDIColorTypeKey) == kSDIColorTypeMono1)
            {
                capability.minValue = 0;
                capability.maxValue = 0;
                capability.supportLevel= kSDISupportLevelUnavailable;
            }else
            {
                capability.minValue = 0;
                capability.maxValue = 30;
                capability.supportLevel= kSDISupportLevelAvailable;
            }
            capability.allMinValue = 0;
            capability.allMaxValue = 30;
        }
  void Reset() override
        {
         current_ = 22;
        }
  ESDictionary GetEngineKeyValues() override
        {
            auto dict = ESDictionary();
            return dict;
        }
 };
}
