//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  detectalert.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "detectalert.h"
#include "translationstring.h"
#include <QDesktopWidget>
#include <QGridLayout>
#include <QSpacerItem>
#include <QDir>
#include <QDirIterator>
DetectAlert::DetectAlert(QWidget *parent)
    : QMainWindow(parent)
{
}
DetectAlert::~DetectAlert()
{
}
static const int kMessageBoxWidth = 500;
static const int kMessageBoxHeight = 100;
void DetectAlert::CustomMessageBox(QString dialog_title, QString message, QString button_message, std::string identifier, std::string dir_num)
{
    std::string dir_name = "epsonscan2alert";
    dir_name = dir_name + identifier;
    int num = std::atoi(dir_num.c_str());
    QDir tmpdir("/tmp");
        IconType icon = Information;
        QMessageBox msgBox(this);
        QDesktopWidget desktop_info;
        msgBox.setIconPixmap(QPixmap(":/escan2_app.icon"));
        msgBox.setText(message);
        msgBox.setWindowTitle(dialog_title);
        msgBox.setStandardButtons(QMessageBox::Yes);
        msgBox.setDefaultButton(QMessageBox::Yes);
        msgBox.setButtonText(QMessageBox::Yes, button_message);
        if(num == 1){
            msgBox.setGeometry(desktop_info.width() - kMessageBoxWidth - 20, desktop_info.height() - kMessageBoxHeight, 0, 0);
        }else if(num == 2){
            msgBox.setGeometry(desktop_info.width() - kMessageBoxWidth - 20, desktop_info.height() - kMessageBoxHeight - (kMessageBoxHeight * 1 + (1 * 50)), 0, 0);
        }
        QSpacerItem* horizontalSpacer = new QSpacerItem(kMessageBoxWidth , kMessageBoxHeight, QSizePolicy::Minimum, QSizePolicy::Expanding);
        QGridLayout* layout = (QGridLayout*)msgBox.layout();
        layout->addItem(horizontalSpacer, layout->rowCount(), 0, 1,layout->columnCount());
        switch (icon){
            case Question:
                msgBox.setIcon(QMessageBox::Question);
                break;
            case Information:
                msgBox.setIcon(QMessageBox::Information);
                break;
            case Warning:
                msgBox.setIcon(QMessageBox::Warning);
                break;
            case Critical:
                msgBox.setIcon(QMessageBox::Critical);
                break;
        }
        msgBox.exec();
        tmpdir.rmdir(dir_name.c_str());
}
int DetectAlert::CheckExistDir()
{
    QDir tmpdir("/tmp");
    QStringList nameFilters;
    nameFilters << "epsonscan2alert*";
    QStringList dirlist = tmpdir.entryList(nameFilters, QDir::Dirs);
    return dirlist.count();
}
