//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  FKPngEncodeUtil.h -- template and derived ESC/I ESC/I-2 protocol commands
#pragma once

       
#include "FKDestination.h"
#include "png.h"
class CFKPngEncodeUtil
{
public:
 CFKPngEncodeUtil();
 virtual ~CFKPngEncodeUtil();
 BOOL StartEncodingWithPath(const ESString& strPath, const ESImageInfo& pImageInfo, ENUM_FK_ERROR_CODE& eError);
 BOOL WriteScanlinesWithData(const ES_CMN_FUNCS::BUFFER::IESBuffer& cData, ENUM_FK_ERROR_CODE& eError);
 BOOL FinalizeEncodingAndReturnError(ENUM_FK_ERROR_CODE& eError);
private:
 void DestroyPngResources(bool bDeleteFile = false);
 uint32_t m_rowBytes;
 FILE* m_pTarget;
 png_structp m_pPng;
 png_infop m_pPngInfo;
 ESString m_strTargetPath;
};
