//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  common_utility.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef COMMON_UTILITY_H
#define COMMON_UTILITY_H 
#endif
#include <string>
class StandAloneCommonUtility
{
public:
    char *StrShift( char *String, size_t nShift )
    {
        char *start = String;
        char *stop = String + strlen( String );
        memmove( start + nShift, start, stop-start+1 );
        return String + nShift;
    }
    std::string ReplaceString( char* String, const char *From, const char* To)
    {
           int StrLen = strlen( To ) + strlen( String );
           char destStr[StrLen + 1];
           memset(destStr, 0, sizeof(StrLen + 1));
           memcpy(destStr, String, StrLen);
           StrReplace(destStr, From , To);
           return std::string(destStr);
    }
    void StrReplace( char* String, const char *From, const char* To )
    {
        int nToLen;
        int nFromLen;
        int nShift;
        char *start;
        char *stop;
        char *p;
        nToLen = strlen( To );
        nFromLen = strlen( From );
        nShift = nToLen - nFromLen;
        start = String;
        stop = String + strlen( String );
        while( NULL != ( p = strstr( start, From ) ) )
        {
            start = StrShift( p + nFromLen, nShift );
            stop = stop + nShift;
            memmove( p, To, nToLen );
        }
    }
};
static StandAloneCommonUtility common_utility;
