//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  configurationdialog.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef CONFIGURATIONDIALOG_H
#define CONFIGURATIONDIALOG_H 
#include <QDialog>
#include "supervisor.h"
namespace Ui {
class ConfigurationDialog;
}
class ConfigurationDialog : public QDialog
{
    Q_OBJECT
public:
    explicit ConfigurationDialog(QWidget *parent = 0);
    ~ConfigurationDialog();
    void Initialize();
    void UpdateCounterDisplay(CONFIGURE_COUNTER_VALUE ConfigureCounter);
    void DisplayItem(Supervisor* sv);
    bool Get_ResetFlag();
    bool CheckOverDurationCounter(CONFIGURE_COUNTER_VALUE ConfigureCounter, bool* AlertAlready);
    bool CheckNearDurationCounter(CONFIGURE_COUNTER_VALUE ConfigureCounter, bool* AlertAlready);
public slots:
    void onValueChanged(int value);
    void onValueChangedBool(bool value);
    void PushButtonAction(void);
private:
    Ui::ConfigurationDialog *config_ui;
    void updateUI(void);
    bool ResetMessageBox(void);
    bool CounterResetMessageBox(void);
    bool bReset;
};
#endif
