//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  deviceconnectiondialog.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef DEVICECONNECTIONDIALOG_H
#define DEVICECONNECTIONDIALOG_H 
#include <QDialog>
#include "supervisor.h"
struct CONNECTINFO{
    QDialog* dialog;
    Supervisor* sv;
    SDIDeviceInfo select_Device;
    bool use_lastsettings;
    bool connection_result;
};
namespace Ui {
class DeviceConnectionDialog;
}
class DeviceConnectionDialog : public QDialog
{
    Q_OBJECT
public:
    explicit DeviceConnectionDialog(Supervisor* sv, SDIDeviceInfo select_Device, bool use_lastsettings, QWidget *parent = 0);
    ~DeviceConnectionDialog();
    static void* ConnectToDevice(void* vpContext);
    void Initialize(void);
    bool GetConnectionResult(void);
private:
    Ui::DeviceConnectionDialog *ui;
    void ResetOnlyStandaloneVal(Supervisor* sv);
    bool search_item_list(int item, int32_t item_list[], int32_t list_size);
    void closeEvent(QCloseEvent* event);
    CONNECTINFO m_connect_info;
};
#endif
