//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  devicenamestackedwidget.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "devicenamestackedwidget.h"
#include "QLabel"
#include "unistd.h"
DeviceNameStackedWidget::DeviceNameStackedWidget(QWidget *parent) :
    QStackedWidget(parent)
{
    exit_wait = false;
}
void* DeviceNameStackedWidget::change_page(void* vpContext)
{
    QLabel* dev_name_label = (QLabel*)vpContext;
    int i = 0;
    while(exit_wait == false){
        if(i == 0){
            dev_name_label->setText("Connecting the scanner ");
        }else if(i == 1){
            dev_name_label->setText("Connecting the scanner .");
        }else if(i == 2){
            dev_name_label->setText("Connecting the scanner ..");
        }else if(i == 3){
            dev_name_label->setText("Connecting the scanner ...");
        }else if(i == 4){
            dev_name_label->setText("Connecting the scanner ....");
        }else if(i == 5){
            dev_name_label->setText("Connecting the scanner .....");
        }
        dev_name_label->repaint();
        usleep(50000);
        if(i == 5){
            i = 0;
        }else {
            i++;
        }
    }
}
void* DeviceNameStackedWidget::back_page(void* vpContext)
{
    exit_wait = true;
}
