//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  gammaslider.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "mainwindow.h"
GammaSlider::GammaSlider(QWidget *parent) :
    QSlider(parent)
{
}
void GammaSlider::initialize(double default_item){
    changed = true;
    current_item = default_item;
}
void GammaSlider::update_ui(){
    if(changed == true){
        this->set_enabled(true);
        this->setValue(current_item);
        changed = false;
    }
}
void GammaSlider::set_enabled(bool enabled)
{
    this->setEnabled(enabled);
}
void GammaSlider::item_event(double value, INT_SETTING_VALUE* gamma_para)
{
    gamma_para->select = current_item = value;
    changed = true;
}
void GammaSlider::setGammaSlider(double value){
    this->setValue(value * 10);
}
