//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  skipblankpagessettingsdialog.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "skipblankpagessettingsdialog.h"
#include "ui_skipblankpagessettingsdialog.h"
#include "mainwindow.h"
SkipBlankPagesSettingsDialog::SkipBlankPagesSettingsDialog(int default_lv, QWidget *parent) :
    QDialog(parent),
    det_skip_ui(new Ui::SkipBlankPagesSettingsDialog)
{
    det_skip_ui->setupUi(this);
    this->setFixedSize(this->size());
    det_skip_ui->Det_Lv_horizontalSlider->setValue(default_lv);
    det_skip_ui->Description_textBrowser->setText(TranslationString::GetString().translation_str.ADVANCEDSETTING_061);
    this->updateUI();
}
SkipBlankPagesSettingsDialog::~SkipBlankPagesSettingsDialog()
{
    delete det_skip_ui;
}
void SkipBlankPagesSettingsDialog::SetValue(){
    detection_level = det_skip_ui->Det_Lv_horizontalSlider->current_value;
}
void SkipBlankPagesSettingsDialog::GetValue(int *level){
    *level = detection_level;
}
void SkipBlankPagesSettingsDialog::onValueChanged(int value)
{
    QObject* obj = sender();
    if(obj == det_skip_ui->Det_Lv_horizontalSlider){
        det_skip_ui->Det_Lv_horizontalSlider->item_event(value);
    }
    this->updateUI();
}
void SkipBlankPagesSettingsDialog::updateUI(){
    det_skip_ui->Det_Lv_horizontalSlider->update_ui();
}
