//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  sleeptimerspinbox.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "mainwindow.h"
SleepTimerSpinBox::SleepTimerSpinBox(QWidget *parent) :
    QSpinBox(parent)
{
}
void SleepTimerSpinBox::initialize(int default_value)
{
    this->setMaximum(240);
    this->setMinimum(0);
    this->setValue(default_value);
    changed = true;
    enabled = true;
    current_value = default_value;
}
void SleepTimerSpinBox::update_ui(){
    if(changed == true){
        this->set_enabled(enabled);
        changed = false;
    }
}
void SleepTimerSpinBox::set_enabled(bool enabled){
    if(enabled == true){
        this->setEnabled(true);
    }else {
        this->setEnabled(false);
    }
}
void SleepTimerSpinBox::item_event(int value)
{
    CONFIGURATION config_val;
    Configuration& config = Configuration::GetConfiguration();
    config_val = config.config_para;
    current_value = value;
    config_val.sleep_timer = current_value;
    config.SetConfiguration(config_val);
    changed = true;
}
