//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  ui_configurationdialog.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef UI_CONFIGURATIONDIALOG_H
#define UI_CONFIGURATIONDIALOG_H 
#include <QtCore/QVariant>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QButtonGroup>
#include <QtWidgets/QDialog>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QStackedWidget>
#include <QtWidgets/QTabWidget>
#include <QtWidgets/QWidget>
#include "acpowercombobox.h"
#include "batterypowercombobox.h"
#include "lastusedcheckbox.h"
#include "openimgfolderafterscancheckbox.h"
#include "sleeptimerspinbox.h"
#include "transferdataaftercompcheckbox.h"
#include "unitscombobox.h"
QT_BEGIN_NAMESPACE
class Ui_ConfigurationDialog
{
public:
    QTabWidget *tabWidget;
    QWidget *general_tab;
    QLabel *Units_label;
    UnitsComboBox *Units_comboBox;
    LastUsedCheckBox *Last_Used_checkBox;
    OpenImgFolderAfterScanCheckBox *Open_Img_Folder_after_scan_checkBox;
    TransferDataAfterCompCheckBox *Transfer_data_after_comp_checkBox;
    QLabel *Doc_source_colon_label;
    QWidget *counter_tab;
    QGroupBox *Scan_Counter_groupBox;
    QLabel *Scanner_Glass_label;
    QLabel *Scanner_Glass_cnt_label;
    QLabel *ADF_label;
    QLabel *ADF_cnt_label;
    QLabel *Single_Sided_label;
    QLabel *Single_Sided_cnt_label;
    QLabel *Double_Sided_label;
    QLabel *Double_Sided_cnt_label;
    QLabel *Carrier_Sheet_cnt_label;
    QLabel *Carrier_Sheet_label;
    QLabel *Card_Slot_label;
    QLabel *Card_Slot_cnt_label;
    QLabel *Paper_Jam_cnt_label;
    QLabel *Paper_Jam_label;
    QLabel *Double_Feed_cnt_label;
    QLabel *Double_Feed_label;
    QLabel *Scanner_Glass_colon_label;
    QLabel *ADF_colon_label;
    QLabel *Single_Sided_colon_label;
    QLabel *Double_Sided_colon_label;
    QLabel *Carrier_Sheet_colon_label;
    QLabel *Card_Slot_colon_label;
    QLabel *Paper_Jam_colon_label;
    QLabel *Double_Feed_colon_label;
    QStackedWidget *stackedWidget;
    QWidget *page;
    QGroupBox *Separation_Pad_groupBox;
    QPushButton *Reset_pushButton2;
    QLabel *Number_Of_Scans_cnt_label2;
    QLabel *Number_Of_Scans_label2;
    QLabel *Life_Cyde_label2;
    QLabel *Life_Cyde_cnt_label2;
    QLabel *Number_Of_Scans_colon_label_3;
    QLabel *Life_Cyde_colon_label_3;
    QGroupBox *Pickup_Pad_groupBox;
    QPushButton *Reset_pushButton;
    QLabel *Number_Of_Scans_cnt_label;
    QLabel *Number_Of_Scans_label;
    QLabel *Life_Cyde_label;
    QLabel *Life_Cyde_cnt_label;
    QLabel *Number_Of_Scans_colon_label_2;
    QLabel *Life_Cyde_colon_label_2;
    QWidget *page_2;
    QGroupBox *Roller_Assembly_Kit_groupBox;
    QPushButton *Counter_Reset_pushButton;
    QLabel *Number_Of_Scans_cnt_label3;
    QLabel *Number_Of_Scans_label3;
    QLabel *Life_Cyde_label3;
    QLabel *Life_Cyde_cnt_label3;
    QLabel *Number_Of_Scans_colon_label;
    QLabel *Life_Cyde_colon_label;
    QWidget *power_saving_tab;
    QLabel *Sleep_Timer_label;
    SleepTimerSpinBox *Sleep_Timer_spinBox;
    QGroupBox *Power_Off_Timer_groupBox;
    QLabel *AC_Power_label;
    ACPowerComboBox *AC_Power_comboBox;
    BatteryPowerComboBox *Battery_Power_comboBox;
    QLabel *Battery_Power_label;
    QLabel *AC_Power_colon_label;
    QLabel *Battery_Power_colon_label;
    QLabel *Life_Cyde_colon_label_4;
    QWidget *other_tab;
    QPushButton *Other_Reset_pushButton;
    QLabel *Reset_label;
    QLabel *Reset_colon_label;
    QPushButton *Close_pushButton;
    void setupUi(QDialog *ConfigurationDialog)
    {
        if (ConfigurationDialog->objectName().isEmpty())
            ConfigurationDialog->setObjectName(QStringLiteral("ConfigurationDialog"));
        ConfigurationDialog->resize(585, 449);
        QIcon icon;
        icon.addFile(QStringLiteral(":/escan2_app.ico"), QSize(), QIcon::Normal, QIcon::Off);
        ConfigurationDialog->setWindowIcon(icon);
        tabWidget = new QTabWidget(ConfigurationDialog);
        tabWidget->setObjectName(QStringLiteral("tabWidget"));
        tabWidget->setGeometry(QRect(10, 10, 561, 401));
        general_tab = new QWidget();
        general_tab->setObjectName(QStringLiteral("general_tab"));
        Units_label = new QLabel(general_tab);
        Units_label->setObjectName(QStringLiteral("Units_label"));
        Units_label->setGeometry(QRect(20, 30, 141, 20));
        Units_comboBox = new UnitsComboBox(general_tab);
        Units_comboBox->setObjectName(QStringLiteral("Units_comboBox"));
        Units_comboBox->setGeometry(QRect(170, 29, 211, 22));
        Last_Used_checkBox = new LastUsedCheckBox(general_tab);
        Last_Used_checkBox->setObjectName(QStringLiteral("Last_Used_checkBox"));
        Last_Used_checkBox->setGeometry(QRect(170, 60, 381, 18));
        Open_Img_Folder_after_scan_checkBox = new OpenImgFolderAfterScanCheckBox(general_tab);
        Open_Img_Folder_after_scan_checkBox->setObjectName(QStringLiteral("Open_Img_Folder_after_scan_checkBox"));
        Open_Img_Folder_after_scan_checkBox->setGeometry(QRect(170, 90, 381, 18));
        Transfer_data_after_comp_checkBox = new TransferDataAfterCompCheckBox(general_tab);
        Transfer_data_after_comp_checkBox->setObjectName(QStringLiteral("Transfer_data_after_comp_checkBox"));
        Transfer_data_after_comp_checkBox->setGeometry(QRect(170, 120, 381, 18));
        Doc_source_colon_label = new QLabel(general_tab);
        Doc_source_colon_label->setObjectName(QStringLiteral("Doc_source_colon_label"));
        Doc_source_colon_label->setEnabled(true);
        Doc_source_colon_label->setGeometry(QRect(160, 32, 16, 16));
#ifndef QT_NO_TOOLTIP
        Doc_source_colon_label->setToolTip(QStringLiteral(""));
#endif
        Doc_source_colon_label->setText(QStringLiteral(":"));
        tabWidget->addTab(general_tab, QString());
        counter_tab = new QWidget();
        counter_tab->setObjectName(QStringLiteral("counter_tab"));
        Scan_Counter_groupBox = new QGroupBox(counter_tab);
        Scan_Counter_groupBox->setObjectName(QStringLiteral("Scan_Counter_groupBox"));
        Scan_Counter_groupBox->setGeometry(QRect(40, 5, 481, 191));
        Scanner_Glass_label = new QLabel(Scan_Counter_groupBox);
        Scanner_Glass_label->setObjectName(QStringLiteral("Scanner_Glass_label"));
        Scanner_Glass_label->setGeometry(QRect(20, 23, 181, 20));
        Scanner_Glass_cnt_label = new QLabel(Scan_Counter_groupBox);
        Scanner_Glass_cnt_label->setObjectName(QStringLiteral("Scanner_Glass_cnt_label"));
        Scanner_Glass_cnt_label->setGeometry(QRect(230, 23, 221, 21));
        ADF_label = new QLabel(Scan_Counter_groupBox);
        ADF_label->setObjectName(QStringLiteral("ADF_label"));
        ADF_label->setGeometry(QRect(20, 42, 181, 20));
        ADF_cnt_label = new QLabel(Scan_Counter_groupBox);
        ADF_cnt_label->setObjectName(QStringLiteral("ADF_cnt_label"));
        ADF_cnt_label->setGeometry(QRect(230, 42, 221, 21));
        Single_Sided_label = new QLabel(Scan_Counter_groupBox);
        Single_Sided_label->setObjectName(QStringLiteral("Single_Sided_label"));
        Single_Sided_label->setGeometry(QRect(20, 61, 181, 20));
        Single_Sided_cnt_label = new QLabel(Scan_Counter_groupBox);
        Single_Sided_cnt_label->setObjectName(QStringLiteral("Single_Sided_cnt_label"));
        Single_Sided_cnt_label->setGeometry(QRect(230, 61, 221, 21));
        Double_Sided_label = new QLabel(Scan_Counter_groupBox);
        Double_Sided_label->setObjectName(QStringLiteral("Double_Sided_label"));
        Double_Sided_label->setGeometry(QRect(20, 81, 181, 20));
        Double_Sided_cnt_label = new QLabel(Scan_Counter_groupBox);
        Double_Sided_cnt_label->setObjectName(QStringLiteral("Double_Sided_cnt_label"));
        Double_Sided_cnt_label->setGeometry(QRect(230, 81, 221, 21));
        Carrier_Sheet_cnt_label = new QLabel(Scan_Counter_groupBox);
        Carrier_Sheet_cnt_label->setObjectName(QStringLiteral("Carrier_Sheet_cnt_label"));
        Carrier_Sheet_cnt_label->setGeometry(QRect(230, 100, 221, 21));
        Carrier_Sheet_label = new QLabel(Scan_Counter_groupBox);
        Carrier_Sheet_label->setObjectName(QStringLiteral("Carrier_Sheet_label"));
        Carrier_Sheet_label->setGeometry(QRect(20, 102, 181, 16));
        Card_Slot_label = new QLabel(Scan_Counter_groupBox);
        Card_Slot_label->setObjectName(QStringLiteral("Card_Slot_label"));
        Card_Slot_label->setGeometry(QRect(20, 119, 181, 20));
        Card_Slot_cnt_label = new QLabel(Scan_Counter_groupBox);
        Card_Slot_cnt_label->setObjectName(QStringLiteral("Card_Slot_cnt_label"));
        Card_Slot_cnt_label->setGeometry(QRect(230, 119, 221, 21));
        Paper_Jam_cnt_label = new QLabel(Scan_Counter_groupBox);
        Paper_Jam_cnt_label->setObjectName(QStringLiteral("Paper_Jam_cnt_label"));
        Paper_Jam_cnt_label->setGeometry(QRect(230, 139, 221, 21));
        Paper_Jam_label = new QLabel(Scan_Counter_groupBox);
        Paper_Jam_label->setObjectName(QStringLiteral("Paper_Jam_label"));
        Paper_Jam_label->setGeometry(QRect(20, 139, 181, 20));
        Double_Feed_cnt_label = new QLabel(Scan_Counter_groupBox);
        Double_Feed_cnt_label->setObjectName(QStringLiteral("Double_Feed_cnt_label"));
        Double_Feed_cnt_label->setGeometry(QRect(230, 159, 221, 21));
        Double_Feed_label = new QLabel(Scan_Counter_groupBox);
        Double_Feed_label->setObjectName(QStringLiteral("Double_Feed_label"));
        Double_Feed_label->setGeometry(QRect(20, 160, 181, 20));
        Scanner_Glass_colon_label = new QLabel(Scan_Counter_groupBox);
        Scanner_Glass_colon_label->setObjectName(QStringLiteral("Scanner_Glass_colon_label"));
        Scanner_Glass_colon_label->setEnabled(true);
        Scanner_Glass_colon_label->setGeometry(QRect(210, 25, 16, 16));
#ifndef QT_NO_TOOLTIP
        Scanner_Glass_colon_label->setToolTip(QStringLiteral(""));
#endif
        Scanner_Glass_colon_label->setText(QStringLiteral(":"));
        ADF_colon_label = new QLabel(Scan_Counter_groupBox);
        ADF_colon_label->setObjectName(QStringLiteral("ADF_colon_label"));
        ADF_colon_label->setEnabled(true);
        ADF_colon_label->setGeometry(QRect(210, 44, 16, 16));
#ifndef QT_NO_TOOLTIP
        ADF_colon_label->setToolTip(QStringLiteral(""));
#endif
        ADF_colon_label->setText(QStringLiteral(":"));
        Single_Sided_colon_label = new QLabel(Scan_Counter_groupBox);
        Single_Sided_colon_label->setObjectName(QStringLiteral("Single_Sided_colon_label"));
        Single_Sided_colon_label->setEnabled(true);
        Single_Sided_colon_label->setGeometry(QRect(210, 63, 16, 16));
#ifndef QT_NO_TOOLTIP
        Single_Sided_colon_label->setToolTip(QStringLiteral(""));
#endif
        Single_Sided_colon_label->setText(QStringLiteral(":"));
        Double_Sided_colon_label = new QLabel(Scan_Counter_groupBox);
        Double_Sided_colon_label->setObjectName(QStringLiteral("Double_Sided_colon_label"));
        Double_Sided_colon_label->setEnabled(true);
        Double_Sided_colon_label->setGeometry(QRect(210, 83, 16, 16));
#ifndef QT_NO_TOOLTIP
        Double_Sided_colon_label->setToolTip(QStringLiteral(""));
#endif
        Double_Sided_colon_label->setText(QStringLiteral(":"));
        Carrier_Sheet_colon_label = new QLabel(Scan_Counter_groupBox);
        Carrier_Sheet_colon_label->setObjectName(QStringLiteral("Carrier_Sheet_colon_label"));
        Carrier_Sheet_colon_label->setEnabled(true);
        Carrier_Sheet_colon_label->setGeometry(QRect(210, 102, 16, 16));
#ifndef QT_NO_TOOLTIP
        Carrier_Sheet_colon_label->setToolTip(QStringLiteral(""));
#endif
        Carrier_Sheet_colon_label->setText(QStringLiteral(":"));
        Card_Slot_colon_label = new QLabel(Scan_Counter_groupBox);
        Card_Slot_colon_label->setObjectName(QStringLiteral("Card_Slot_colon_label"));
        Card_Slot_colon_label->setEnabled(true);
        Card_Slot_colon_label->setGeometry(QRect(210, 121, 16, 16));
#ifndef QT_NO_TOOLTIP
        Card_Slot_colon_label->setToolTip(QStringLiteral(""));
#endif
        Card_Slot_colon_label->setText(QStringLiteral(":"));
        Paper_Jam_colon_label = new QLabel(Scan_Counter_groupBox);
        Paper_Jam_colon_label->setObjectName(QStringLiteral("Paper_Jam_colon_label"));
        Paper_Jam_colon_label->setEnabled(true);
        Paper_Jam_colon_label->setGeometry(QRect(210, 141, 16, 16));
#ifndef QT_NO_TOOLTIP
        Paper_Jam_colon_label->setToolTip(QStringLiteral(""));
#endif
        Paper_Jam_colon_label->setText(QStringLiteral(":"));
        Double_Feed_colon_label = new QLabel(Scan_Counter_groupBox);
        Double_Feed_colon_label->setObjectName(QStringLiteral("Double_Feed_colon_label"));
        Double_Feed_colon_label->setEnabled(true);
        Double_Feed_colon_label->setGeometry(QRect(210, 162, 16, 16));
#ifndef QT_NO_TOOLTIP
        Double_Feed_colon_label->setToolTip(QStringLiteral(""));
#endif
        Double_Feed_colon_label->setText(QStringLiteral(":"));
        stackedWidget = new QStackedWidget(counter_tab);
        stackedWidget->setObjectName(QStringLiteral("stackedWidget"));
        stackedWidget->setGeometry(QRect(20, 200, 531, 181));
        page = new QWidget();
        page->setObjectName(QStringLiteral("page"));
        Separation_Pad_groupBox = new QGroupBox(page);
        Separation_Pad_groupBox->setObjectName(QStringLiteral("Separation_Pad_groupBox"));
        Separation_Pad_groupBox->setGeometry(QRect(20, 85, 391, 81));
        Reset_pushButton2 = new QPushButton(Separation_Pad_groupBox);
        Reset_pushButton2->setObjectName(QStringLiteral("Reset_pushButton2"));
        Reset_pushButton2->setGeometry(QRect(299, 29, 80, 20));
        Number_Of_Scans_cnt_label2 = new QLabel(Separation_Pad_groupBox);
        Number_Of_Scans_cnt_label2->setObjectName(QStringLiteral("Number_Of_Scans_cnt_label2"));
        Number_Of_Scans_cnt_label2->setGeometry(QRect(163, 29, 101, 16));
        Number_Of_Scans_label2 = new QLabel(Separation_Pad_groupBox);
        Number_Of_Scans_label2->setObjectName(QStringLiteral("Number_Of_Scans_label2"));
        Number_Of_Scans_label2->setGeometry(QRect(52, 26, 111, 20));
        Life_Cyde_label2 = new QLabel(Separation_Pad_groupBox);
        Life_Cyde_label2->setObjectName(QStringLiteral("Life_Cyde_label2"));
        Life_Cyde_label2->setGeometry(QRect(52, 47, 111, 20));
        Life_Cyde_cnt_label2 = new QLabel(Separation_Pad_groupBox);
        Life_Cyde_cnt_label2->setObjectName(QStringLiteral("Life_Cyde_cnt_label2"));
        Life_Cyde_cnt_label2->setGeometry(QRect(163, 49, 101, 16));
        Number_Of_Scans_colon_label_3 = new QLabel(Separation_Pad_groupBox);
        Number_Of_Scans_colon_label_3->setObjectName(QStringLiteral("Number_Of_Scans_colon_label_3"));
        Number_Of_Scans_colon_label_3->setEnabled(true);
        Number_Of_Scans_colon_label_3->setGeometry(QRect(151, 29, 16, 16));
#ifndef QT_NO_TOOLTIP
        Number_Of_Scans_colon_label_3->setToolTip(QStringLiteral(""));
#endif
        Number_Of_Scans_colon_label_3->setText(QStringLiteral(":"));
        Life_Cyde_colon_label_3 = new QLabel(Separation_Pad_groupBox);
        Life_Cyde_colon_label_3->setObjectName(QStringLiteral("Life_Cyde_colon_label_3"));
        Life_Cyde_colon_label_3->setEnabled(true);
        Life_Cyde_colon_label_3->setGeometry(QRect(151, 49, 16, 16));
#ifndef QT_NO_TOOLTIP
        Life_Cyde_colon_label_3->setToolTip(QStringLiteral(""));
#endif
        Life_Cyde_colon_label_3->setText(QStringLiteral(":"));
        Pickup_Pad_groupBox = new QGroupBox(page);
        Pickup_Pad_groupBox->setObjectName(QStringLiteral("Pickup_Pad_groupBox"));
        Pickup_Pad_groupBox->setGeometry(QRect(20, 1, 391, 81));
        Reset_pushButton = new QPushButton(Pickup_Pad_groupBox);
        Reset_pushButton->setObjectName(QStringLiteral("Reset_pushButton"));
        Reset_pushButton->setGeometry(QRect(299, 29, 80, 20));
        Number_Of_Scans_cnt_label = new QLabel(Pickup_Pad_groupBox);
        Number_Of_Scans_cnt_label->setObjectName(QStringLiteral("Number_Of_Scans_cnt_label"));
        Number_Of_Scans_cnt_label->setGeometry(QRect(163, 29, 101, 16));
        Number_Of_Scans_label = new QLabel(Pickup_Pad_groupBox);
        Number_Of_Scans_label->setObjectName(QStringLiteral("Number_Of_Scans_label"));
        Number_Of_Scans_label->setGeometry(QRect(52, 27, 101, 20));
        Life_Cyde_label = new QLabel(Pickup_Pad_groupBox);
        Life_Cyde_label->setObjectName(QStringLiteral("Life_Cyde_label"));
        Life_Cyde_label->setGeometry(QRect(52, 47, 101, 20));
        Life_Cyde_cnt_label = new QLabel(Pickup_Pad_groupBox);
        Life_Cyde_cnt_label->setObjectName(QStringLiteral("Life_Cyde_cnt_label"));
        Life_Cyde_cnt_label->setGeometry(QRect(163, 49, 101, 16));
        Number_Of_Scans_colon_label_2 = new QLabel(Pickup_Pad_groupBox);
        Number_Of_Scans_colon_label_2->setObjectName(QStringLiteral("Number_Of_Scans_colon_label_2"));
        Number_Of_Scans_colon_label_2->setEnabled(true);
        Number_Of_Scans_colon_label_2->setGeometry(QRect(151, 29, 16, 16));
#ifndef QT_NO_TOOLTIP
        Number_Of_Scans_colon_label_2->setToolTip(QStringLiteral(""));
#endif
        Number_Of_Scans_colon_label_2->setText(QStringLiteral(":"));
        Life_Cyde_colon_label_2 = new QLabel(Pickup_Pad_groupBox);
        Life_Cyde_colon_label_2->setObjectName(QStringLiteral("Life_Cyde_colon_label_2"));
        Life_Cyde_colon_label_2->setEnabled(true);
        Life_Cyde_colon_label_2->setGeometry(QRect(151, 49, 16, 16));
#ifndef QT_NO_TOOLTIP
        Life_Cyde_colon_label_2->setToolTip(QStringLiteral(""));
#endif
        Life_Cyde_colon_label_2->setText(QStringLiteral(":"));
        stackedWidget->addWidget(page);
        page_2 = new QWidget();
        page_2->setObjectName(QStringLiteral("page_2"));
        Roller_Assembly_Kit_groupBox = new QGroupBox(page_2);
        Roller_Assembly_Kit_groupBox->setObjectName(QStringLiteral("Roller_Assembly_Kit_groupBox"));
        Roller_Assembly_Kit_groupBox->setGeometry(QRect(20, 1, 481, 81));
        Counter_Reset_pushButton = new QPushButton(Roller_Assembly_Kit_groupBox);
        Counter_Reset_pushButton->setObjectName(QStringLiteral("Counter_Reset_pushButton"));
        Counter_Reset_pushButton->setGeometry(QRect(375, 29, 101, 20));
        Number_Of_Scans_cnt_label3 = new QLabel(Roller_Assembly_Kit_groupBox);
        Number_Of_Scans_cnt_label3->setObjectName(QStringLiteral("Number_Of_Scans_cnt_label3"));
        Number_Of_Scans_cnt_label3->setGeometry(QRect(210, 27, 161, 21));
        Number_Of_Scans_label3 = new QLabel(Roller_Assembly_Kit_groupBox);
        Number_Of_Scans_label3->setObjectName(QStringLiteral("Number_Of_Scans_label3"));
        Number_Of_Scans_label3->setGeometry(QRect(20, 27, 161, 20));
        Life_Cyde_label3 = new QLabel(Roller_Assembly_Kit_groupBox);
        Life_Cyde_label3->setObjectName(QStringLiteral("Life_Cyde_label3"));
        Life_Cyde_label3->setGeometry(QRect(20, 47, 161, 20));
        Life_Cyde_cnt_label3 = new QLabel(Roller_Assembly_Kit_groupBox);
        Life_Cyde_cnt_label3->setObjectName(QStringLiteral("Life_Cyde_cnt_label3"));
        Life_Cyde_cnt_label3->setGeometry(QRect(210, 47, 161, 21));
        Number_Of_Scans_colon_label = new QLabel(Roller_Assembly_Kit_groupBox);
        Number_Of_Scans_colon_label->setObjectName(QStringLiteral("Number_Of_Scans_colon_label"));
        Number_Of_Scans_colon_label->setEnabled(true);
        Number_Of_Scans_colon_label->setGeometry(QRect(190, 29, 16, 16));
#ifndef QT_NO_TOOLTIP
        Number_Of_Scans_colon_label->setToolTip(QStringLiteral(""));
#endif
        Number_Of_Scans_colon_label->setText(QStringLiteral(":"));
        Life_Cyde_colon_label = new QLabel(Roller_Assembly_Kit_groupBox);
        Life_Cyde_colon_label->setObjectName(QStringLiteral("Life_Cyde_colon_label"));
        Life_Cyde_colon_label->setEnabled(true);
        Life_Cyde_colon_label->setGeometry(QRect(190, 49, 16, 16));
#ifndef QT_NO_TOOLTIP
        Life_Cyde_colon_label->setToolTip(QStringLiteral(""));
#endif
        Life_Cyde_colon_label->setText(QStringLiteral(":"));
        stackedWidget->addWidget(page_2);
        tabWidget->addTab(counter_tab, QString());
        power_saving_tab = new QWidget();
        power_saving_tab->setObjectName(QStringLiteral("power_saving_tab"));
        Sleep_Timer_label = new QLabel(power_saving_tab);
        Sleep_Timer_label->setObjectName(QStringLiteral("Sleep_Timer_label"));
        Sleep_Timer_label->setGeometry(QRect(100, 34, 201, 20));
        Sleep_Timer_spinBox = new SleepTimerSpinBox(power_saving_tab);
        Sleep_Timer_spinBox->setObjectName(QStringLiteral("Sleep_Timer_spinBox"));
        Sleep_Timer_spinBox->setGeometry(QRect(320, 33, 71, 22));
        Power_Off_Timer_groupBox = new QGroupBox(power_saving_tab);
        Power_Off_Timer_groupBox->setObjectName(QStringLiteral("Power_Off_Timer_groupBox"));
        Power_Off_Timer_groupBox->setGeometry(QRect(46, 70, 461, 91));
        AC_Power_label = new QLabel(Power_Off_Timer_groupBox);
        AC_Power_label->setObjectName(QStringLiteral("AC_Power_label"));
        AC_Power_label->setGeometry(QRect(18, 30, 241, 21));
        AC_Power_comboBox = new ACPowerComboBox(Power_Off_Timer_groupBox);
        AC_Power_comboBox->setObjectName(QStringLiteral("AC_Power_comboBox"));
        AC_Power_comboBox->setGeometry(QRect(290, 28, 131, 22));
        Battery_Power_comboBox = new BatteryPowerComboBox(Power_Off_Timer_groupBox);
        Battery_Power_comboBox->setObjectName(QStringLiteral("Battery_Power_comboBox"));
        Battery_Power_comboBox->setGeometry(QRect(290, 60, 131, 22));
        Battery_Power_label = new QLabel(Power_Off_Timer_groupBox);
        Battery_Power_label->setObjectName(QStringLiteral("Battery_Power_label"));
        Battery_Power_label->setGeometry(QRect(18, 60, 241, 21));
        AC_Power_colon_label = new QLabel(Power_Off_Timer_groupBox);
        AC_Power_colon_label->setObjectName(QStringLiteral("AC_Power_colon_label"));
        AC_Power_colon_label->setEnabled(true);
        AC_Power_colon_label->setGeometry(QRect(270, 31, 16, 16));
#ifndef QT_NO_TOOLTIP
        AC_Power_colon_label->setToolTip(QStringLiteral(""));
#endif
        AC_Power_colon_label->setText(QStringLiteral(":"));
        Battery_Power_colon_label = new QLabel(Power_Off_Timer_groupBox);
        Battery_Power_colon_label->setObjectName(QStringLiteral("Battery_Power_colon_label"));
        Battery_Power_colon_label->setEnabled(true);
        Battery_Power_colon_label->setGeometry(QRect(270, 63, 16, 16));
#ifndef QT_NO_TOOLTIP
        Battery_Power_colon_label->setToolTip(QStringLiteral(""));
#endif
        Battery_Power_colon_label->setText(QStringLiteral(":"));
        Life_Cyde_colon_label_4 = new QLabel(power_saving_tab);
        Life_Cyde_colon_label_4->setObjectName(QStringLiteral("Life_Cyde_colon_label_4"));
        Life_Cyde_colon_label_4->setEnabled(true);
        Life_Cyde_colon_label_4->setGeometry(QRect(310, 36, 16, 16));
#ifndef QT_NO_TOOLTIP
        Life_Cyde_colon_label_4->setToolTip(QStringLiteral(""));
#endif
        Life_Cyde_colon_label_4->setText(QStringLiteral(":"));
        tabWidget->addTab(power_saving_tab, QString());
        other_tab = new QWidget();
        other_tab->setObjectName(QStringLiteral("other_tab"));
        Other_Reset_pushButton = new QPushButton(other_tab);
        Other_Reset_pushButton->setObjectName(QStringLiteral("Other_Reset_pushButton"));
        Other_Reset_pushButton->setGeometry(QRect(400, 52, 111, 20));
        Reset_label = new QLabel(other_tab);
        Reset_label->setObjectName(QStringLiteral("Reset_label"));
        Reset_label->setGeometry(QRect(50, 52, 321, 20));
        Reset_colon_label = new QLabel(other_tab);
        Reset_colon_label->setObjectName(QStringLiteral("Reset_colon_label"));
        Reset_colon_label->setEnabled(true);
        Reset_colon_label->setGeometry(QRect(380, 54, 16, 16));
#ifndef QT_NO_TOOLTIP
        Reset_colon_label->setToolTip(QStringLiteral(""));
#endif
        Reset_colon_label->setText(QStringLiteral(":"));
        tabWidget->addTab(other_tab, QString());
        Close_pushButton = new QPushButton(ConfigurationDialog);
        Close_pushButton->setObjectName(QStringLiteral("Close_pushButton"));
        Close_pushButton->setGeometry(QRect(490, 420, 80, 20));
        retranslateUi(ConfigurationDialog);
        QObject::connect(Close_pushButton, SIGNAL(clicked()), ConfigurationDialog, SLOT(reject()));
        QObject::connect(Units_comboBox, SIGNAL(activated(int)), ConfigurationDialog, SLOT(onValueChanged(int)));
        QObject::connect(Last_Used_checkBox, SIGNAL(clicked(bool)), ConfigurationDialog, SLOT(onValueChangedBool(bool)));
        QObject::connect(Sleep_Timer_spinBox, SIGNAL(valueChanged(int)), ConfigurationDialog, SLOT(onValueChanged(int)));
        QObject::connect(AC_Power_comboBox, SIGNAL(activated(int)), ConfigurationDialog, SLOT(onValueChanged(int)));
        QObject::connect(Battery_Power_comboBox, SIGNAL(activated(int)), ConfigurationDialog, SLOT(onValueChanged(int)));
        QObject::connect(Other_Reset_pushButton, SIGNAL(pressed()), ConfigurationDialog, SLOT(PushButtonAction()));
        QObject::connect(Open_Img_Folder_after_scan_checkBox, SIGNAL(clicked(bool)), ConfigurationDialog, SLOT(onValueChangedBool(bool)));
        QObject::connect(Transfer_data_after_comp_checkBox, SIGNAL(clicked(bool)), ConfigurationDialog, SLOT(onValueChangedBool(bool)));
        QObject::connect(Counter_Reset_pushButton, SIGNAL(pressed()), ConfigurationDialog, SLOT(PushButtonAction()));
        tabWidget->setCurrentIndex(0);
        stackedWidget->setCurrentIndex(1);
        QMetaObject::connectSlotsByName(ConfigurationDialog);
    }
    void retranslateUi(QDialog *ConfigurationDialog)
    {
        ConfigurationDialog->setWindowTitle(QApplication::translate("ConfigurationDialog", "CONFIG_001", 0));
        Units_label->setText(QApplication::translate("ConfigurationDialog", "CONFIG_GENERAL_002", 0));
        Last_Used_checkBox->setText(QApplication::translate("ConfigurationDialog", "CONFIG_GENERAL_005", 0));
        Open_Img_Folder_after_scan_checkBox->setText(QApplication::translate("ConfigurationDialog", "CONFIG_SAVEFILE_002", 0));
        Transfer_data_after_comp_checkBox->setText(QApplication::translate("ConfigurationDialog", "CONFIG_SCAN_004", 0));
        tabWidget->setTabText(tabWidget->indexOf(general_tab), QApplication::translate("ConfigurationDialog", "CONFIG_GENERAL_001", 0));
        Scan_Counter_groupBox->setTitle(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_010", 0));
        Scanner_Glass_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_011", 0));
        Scanner_Glass_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
#ifndef QT_NO_TOOLTIP
        ADF_label->setToolTip(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_012", 0));
#endif
        ADF_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_012", 0));
        ADF_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Single_Sided_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_013", 0));
        Single_Sided_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Double_Sided_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_014", 0));
        Double_Sided_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Carrier_Sheet_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Carrier_Sheet_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_054", 0));
        Card_Slot_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_051", 0));
        Card_Slot_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Paper_Jam_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Paper_Jam_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_015", 0));
        Double_Feed_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Double_Feed_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_016", 0));
        Separation_Pad_groupBox->setTitle(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_050", 0));
        Reset_pushButton2->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_020", 0));
        Number_Of_Scans_cnt_label2->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Number_Of_Scans_label2->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_018", 0));
        Life_Cyde_label2->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_019", 0));
        Life_Cyde_cnt_label2->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Pickup_Pad_groupBox->setTitle(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_049", 0));
        Reset_pushButton->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_020", 0));
        Number_Of_Scans_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Number_Of_Scans_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_018", 0));
        Life_Cyde_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_019", 0));
        Life_Cyde_cnt_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Roller_Assembly_Kit_groupBox->setTitle(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_017", 0));
        Counter_Reset_pushButton->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_020", 0));
        Number_Of_Scans_cnt_label3->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        Number_Of_Scans_label3->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_018", 0));
        Life_Cyde_label3->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_019", 0));
        Life_Cyde_cnt_label3->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_008", 0));
        tabWidget->setTabText(tabWidget->indexOf(counter_tab), QApplication::translate("ConfigurationDialog", "ES2U_MAIN_009", 0));
        Sleep_Timer_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_022", 0));
        Power_Off_Timer_groupBox->setTitle(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_024", 0));
        AC_Power_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_056", 0));
        Battery_Power_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_057", 0));
        tabWidget->setTabText(tabWidget->indexOf(power_saving_tab), QApplication::translate("ConfigurationDialog", "ES2U_MAIN_021", 0));
        Other_Reset_pushButton->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_045", 0));
        Reset_label->setText(QApplication::translate("ConfigurationDialog", "ES2U_MAIN_044", 0));
        tabWidget->setTabText(tabWidget->indexOf(other_tab), QApplication::translate("ConfigurationDialog", "ES2U_MAIN_043", 0));
        Close_pushButton->setText(QApplication::translate("ConfigurationDialog", "TC_PREVIEW_001", 0));
    }
};
namespace Ui {
    class ConfigurationDialog: public Ui_ConfigurationDialog {};
}
QT_END_NAMESPACE
#endif
