//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  waitingdialog.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "waitingdialog.h"
#include "ui_waitingdialog.h"
#include "unistd.h"
#include <pthread.h>
WaitingDialog::WaitingDialog(const char* message, int time, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::WaitingDialog)
{
    pthread_t thread;
    wait_time = time;
    ui->setupUi(this);
    this->setFixedSize(this->size());
    ui->Waiting_Message_label->setText(message);
    if(this->isHidden()){
        pthread_create(&thread, NULL, &WaitingDialog::Waiting, this);
        this->exec();
        pthread_join(thread, NULL);
    }else {
        this->activateWindow();
    }
}
WaitingDialog::~WaitingDialog()
{
    delete ui;
}
void* WaitingDialog::Waiting(void* vpContext)
{
    WaitingDialog* dialog = (WaitingDialog*)vpContext;
    sleep(dialog->wait_time);
    dialog->reject();
    return NULL;
}
void WaitingDialog::closeEvent(QCloseEvent* event){
    event->ignore();
}
